API Tokens

Learn about creating and managing API tokens in the SoftwareOne Marketplace.

The Marketplace Platform uses API tokens to authenticate requests to the REST API.

Your API token must be included in the Authorization HTTP header with the Bearer prefix for authentication. For example, the following request could be used to retrieve a list of buyers:

GET https://api.platform.softwareone.com/public/v1/accounts/buyers
Authorization: Bearer {TOKEN_VALUE}

Your API keys have permissions assigned to them, so keep them secure. Do not share your secret API keys in public areas, like GitHub or client-side code.

circle-info

All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.

Accessing API tokens

The API tokens page allows account administrators to create and view API tokens. Administrators can also edit, delete, enable, or disable a token.

To navigate to the API tokens page, select the main menu, then choose Settings > API tokens. The list of tokens is displayed as shown in the following image:

The API tokens in the platform.
Token statuschevron-rightCreate API tokenschevron-rightView API tokenschevron-rightEdit API tokenschevron-rightCopy API tokenchevron-rightDelete API tokenchevron-rightEnable or disable API tokenchevron-right

Last updated

Was this helpful?